<?xml version="1.0" encoding="UTF-8"?>

<!--
*
* JIMS ( http://forge.scilab.org/index.php/p/JIMS/ ) - This file is a part of JIMS
* Copyright (C) 2010 - 2011 - Calixte DENIZET <calixte@contrib.scilab.org>
*
* This file must be used under the terms of the CeCILL.
* This source file is licensed as described in the file COPYING, which
* you should have received as part of this distribution.  The terms
* are also available at
* http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
*
*
-->

<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="dnnewInstance">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>dnnewInstance</refname>
    <refpurpose>Creates a new instance of a .NET class</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
      obj = dnnewInstance(class [, arg_1 [, arg_2... ]])
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>class</term>
        <listitem>
          <para>A mlist typed _EClass with _EnvId equal to 1 or a string containing the class name</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>arg_i</term>
        <listitem>
          <para>A Scilab data or a mlist typed _EObj with _EnvId equal to 1</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>obj</term>
        <listitem>
          <para>A mlist typed _EObj with _EnvId equal to 1</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      Creates a new instance of a Java class obtained with <link linkend="dnimport">dnimport</link>.
    </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example">
      <![CDATA[
               jimport java.util.DateTime;               

               t = DateTime.Now.TotalMiliseconds();
               s = dnnewInstance(DateTime, t);
               str = dnnewInstance("System.String", "Hello");
               d = s.toString()

               dnremove DateTime System t s str;
      ]]></programlisting>
  </refsection>
  <refsection role="see also">
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="new">new</link>
      </member>
      <member>
        <link linkend="dnimport">jimport</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Author</title>
    <simplelist type="vert">
      <member>Calixte Denizet</member>
    </simplelist>
  </refsection>
</refentry>
